Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspApplicationContextImpl

    java.lang.Object
      org.apache.jasper.runtime.JspApplicationContextImpl

All Implemented Interfaces:
  JspApplicationContext

    public class JspApplicationContextImpl

extends Object
implements JspApplicationContext

Implementation of JspApplicationContext

Author:
  Jacob Hookom

Constructor Summary
`JspApplicationContextImpl()`

Method Summary
`void` | `addELContextListener(ELContextListener listener)` Registers an `ELContextListener` that will notified whenever a new `ELContext` is created.
`void` | `addELResolver(ELResolver resolver)` Adds an `ELResolver` to the chain of EL variable and property management within JSP pages and Tag files.
`ELContextImpl` | `createELContext(JspContext context)`
`ExpressionFactory` | `getExpressionFactory()` Returns the JSP container's `ExpressionFactory` implementation for EL use.
`static JspApplicationContextImpl` | `getInstance(ServletContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspApplicationContextImpl

    public JspApplicationContextImpl()

Method Detail

### addELContextListener

    public void addELContextListener(ELContextListener listener)

  Description copied from interface: `javax.servlet.jsp.JspApplicationContext`

  Registers an `ELContextListener` that will notified whenever a new `ELContext` is created.

  At the very least, any `ELContext` instantiated will have reference to the `JspContext` under `JspContext.class`.

  Specified by:
    `addELContextListener` in interface `JspApplicationContext`

### getInstance

    public static JspApplicationContextImpl getInstance(ServletContext context)

### createELContext

    public ELContextImpl createELContext(JspContext context)

### addELResolver

    public void addELResolver(ELResolver resolver)
                       throws IllegalStateException

  Description copied from interface: `javax.servlet.jsp.JspApplicationContext`

  Adds an `ELResolver` to the chain of EL variable and property management within JSP pages and Tag files.

  JSP has a default set of ELResolvers to chain for all EL evaluation:

  - `ImplicitObjectELResolver`
  - `ELResolver` instances registered with this method
  - `MapELResolver`
  - `ListELResolver`
  - `ArrayELResolver`
  - `BeanELResolver`
  - `ScopedAttributeELResolver`

  Specified by:
    `addELResolver` in interface `JspApplicationContext`
  Parameters:
    `resolver` - an additional resolver
  Throws:
    `IllegalStateException` - if called after the application's `ServletContextListeners` have been initialized.

### getExpressionFactory

    public ExpressionFactory getExpressionFactory()

  Description copied from interface: `javax.servlet.jsp.JspApplicationContext`

  Returns the JSP container's `ExpressionFactory` implementation for EL use.

  Specified by:
    `getExpressionFactory` in interface `JspApplicationContext`
  Returns:
    an `ExpressionFactory` implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.